This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 344701 - cannot create a VM using defaults
cannot create a VM using defaults
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: virt-manager (Show other bugs)
7
i686 Linux
low Severity low
: ---
: ---
Assigned To: Daniel Berrange
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-21 16:10 EDT by Laurent Jacquot
Modified: 2008-01-10 23:15 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-10 23:15:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Laurent Jacquot 2007-10-21 16:10:52 EDT
Description of problem:
cannot create a virtual machine using defaults in virt-manager

Version-Release number of selected component (if applicable):
virt-manager-0.4.0-2.fc7, libvirt-0.3.2-1.fc7, kvm-35-3.fc7, xen-3.1.0-6.fc7,
kernel-2.6.22.9-91.fc7
Selinux on, targeted but it does not seem to matter.

How reproducible:
Allways, I never managed to create a "default" VM during the whole F7 lifetime.

Steps to Reproduce:
1.start libvirtd service
2.launch (as root) virt-manager and create a default virtual machine
3.virt-manager aborts with a " virDomainCreateLinux() failed Network 'default'
not active"
  
Actual results:
A bunch of python traceback:
Unable to complete install '<class 'libvirt.libvirtError'>
virDomainCreateLinux() failed Network 'default' not active
Traceback (most recent call last):
  File "/usr/share/virt-manager/virtManager/create.py", line 681, in do_install
    dom = guest.start_install(False, meter = meter)
  File "/usr/lib/python2.5/site-packages/virtinst/Guest.py", line 708, in
start_install
    return self._do_install(consolecb, meter)
  File "/usr/lib/python2.5/site-packages/virtinst/Guest.py", line 725, in
_do_install
    self.domain = self.conn.createLinux(install_xml, 0)
  File "/usr/lib/python2.5/site-packages/libvirt.py", line 563, in createLinux
    if ret is None:raise libvirtError('virDomainCreateLinux() failed', conn=self)
libvirtError: virDomainCreateLinux() failed Network 'default' not active
'

Expected results:
A functionnal VM

Additional info:
I managed to create the virtual machine using an handmade bridge (so I could
select it in virt-manager).

When the traceback happens I have only eth0 and lo0 up and running. 
I should have a virbr0? What is configuring this in the stack? xen is also crashing

/usr/sbin/xend start
ERROR Internal error: Could not obtain handle on privileged command interface (2
= No such file or directory)
ERROR Internal error: Could not obtain handle on privileged command interface (2
= No such file or directory)
Traceback (most recent call last):
  File "/usr/sbin/xend", line 34, in <module>
    from xen.xend.server import SrvDaemon
  File "/usr/lib/python2.5/site-packages/xen/xend/server/SrvDaemon.py", line 26,
in <module>
    import relocate
  File "/usr/lib/python2.5/site-packages/xen/xend/server/relocate.py", line 26,
in <module>
    from xen.xend import XendDomain
  File "/usr/lib/python2.5/site-packages/xen/xend/XendDomain.py", line 35, in
<module>
    from xen.xend import XendOptions, XendCheckpoint, XendDomainInfo
  File "/usr/lib/python2.5/site-packages/xen/xend/XendCheckpoint.py", line 22,
in <module>
    from xen.xend.XendConfig import XendConfig
  File "/usr/lib/python2.5/site-packages/xen/xend/XendConfig.py", line 27, in
<module>
    from xen.xend.XendDevices import XendDevices
  File "/usr/lib/python2.5/site-packages/xen/xend/XendDevices.py", line 22, in
<module>
    from xen.xend.server import blkif, netif, tpmif, pciif, iopif, irqif, usbif,
vfbif
  File "/usr/lib/python2.5/site-packages/xen/xend/server/pciif.py", line 38, in
<module>
    xc = xen.lowlevel.xc.xc()
xen.lowlevel.xc.Error: (1, 'Internal error', 'Could not obtain handle on
privileged command interface (2 = No such file or directory)')

Should I create another bug for this xend {start,status,stop} crash?
Comment 1 Laurent Jacquot 2007-10-21 16:35:25 EDT
I managed to bring up the virbr0 bridge using virsh:
#virsh -c qemu:///system
Welcome to virsh, the virtualization interactive terminal.

Type:  'help' for help with commands
       'quit' to quit

virsh # net-list
Name                 State      Autostart 
-----------------------------------------

virsh #  net-list --all
Name                 State      Autostart 
-----------------------------------------
default              inactive no

virsh #  net-start default
Network default started

virsh #  net-list --all
Name                 State      Autostart 
-----------------------------------------
default              active     no        

But isn't that supposed to be automagic?

Comment 2 Daniel Berrange 2008-01-10 23:15:57 EST
I can't reproduce this. On a clean install of F7/8 the 'default' virtual network
is always automatically started. Please re-open if you can find a reproducable
test case which demonstrates 'default' network not starting automatically ona 
fresh install.

Note You need to log in before you can comment on or make changes to this bug.